create_capacitor#
- TwinBuilderComponents.create_capacitor(name=None, value=50, location=None, angle=0, use_instance_id_netlist=False)[source]#
Create a capacitor.
- Parameters:
- name
str
,optional
Name of the capacitor. The default value is
None
.- value
float
,optional
Value for the capacitor. The default value is
50
.- location
list
of
float
,optional
Position on the X axis and Y axis. The default value is
None
.- angle
float
,optional
Angle rotation in degrees. The default value is
0
.- use_instance_id_netlistbool,
optional
Whether to use the instance ID in the net list. The default value is
False
.
- name
- Returns:
ansys.aedt.core.modeler.cad.object_3dcircuit.CircuitComponent
Circuit Component Object.
References
>>> oEditor.CreateComponent